columns:
  article_id:
    type: bigint
  code_cahpp:
    type: text
    default: "''::text"
  code_cip:
    type: text
    default: "''::text"
  code_original:
    type: text
  code_reference_fournisseur:
    type: text
    default: "''::text"
  code_ucd13:
    type: text
    default: "''::text"
  est_fournisseur_principal:
    type: text
    default: "'0'::text"
  fournisseur_distributeur_id:
    type: bigint
    default: "0"
  fournisseur_id:
    type: bigint
  lpp_id:
    type: bigint
    default: "0"
  nombre_conditionnement_approvisionnement:
    type: numeric
    default: "0"
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_article_fournisseur'::regclass)"
  prix_unitaire_en_cours:
    type: numeric
    default: "0"
  texte_reference_fournisseur:
    type: text
    default: "''::text"
  ucd_id:
    type: bigint
    default: "0"
  unite_approvisionnement_id:
    type: bigint
    default: "0"
constraints:
  t_article_fournisseur_pkey:
    type: PRIMARY KEY
    column: oid
  t_article_fournisseur_ukey:
    type: UNIQUE
    column: code_original